Search documentation of wx

# View Source wxGridCellChoiceEditor (wx v2.4.2)

Functions for wxGridCellChoiceEditor class

Grid cell editor for string data providing the user a choice from a list of strings.

See: `wxGridCellEditor`, `wxGridCellAutoWrapStringEditor` (not implemented in wx), `wxGridCellBoolEditor`, `wxGridCellEnumEditor` (not implemented in wx), `wxGridCellFloatEditor`, `wxGridCellNumberEditor`, `wxGridCellTextEditor`, `wxGridCellDateEditor` (not implemented in wx)

This class is derived (and can use functions) from: `wxGridCellEditor`

wxWidgets docs: wxGridCellChoiceEditor

# Summary

## Types

wxGridCellChoiceEditor()

## Functions

destroy(This)

Destroys the object.

new(Choices)
new(Choices, Options)

Choice cell renderer ctor.

setParameters(This, Params)

Parameters string format is "item1[,item2[...,itemN]]".

# Types

Link to this type

# wxGridCellChoiceEditor()

View Source

    -type wxGridCellChoiceEditor() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridCellChoiceEditor()) -> ok.

Destroys the object.

Link to this function

# new(Choices)

View Source

    -spec new(Choices) -> wxGridCellChoiceEditor() when Choices :: [unicode:chardata()].

Link to this function

# new(Choices, Options)

View Source

    -spec new(Choices, [Option]) -> wxGridCellChoiceEditor()
                 when Choices :: [unicode:chardata()], Option :: {allowOthers, boolean()}.

Choice cell renderer ctor.

Link to this function

# setParameters(This, Params)

View Source

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellChoiceEditor(), Params :: unicode:chardata().

Parameters string format is "item1[,item2[...,itemN]]".

This method can be called before the editor is used for the first time, or later, in which case it replaces the previously specified strings with the new ones.